#include <stdlib.h>
#include <stdio.h>
#include "common.h"
#include "allocate.h"
/*
 * Allocate memory.  Dump out if none
 */
void *AllocateMemory(uint size)
{
  void *rv = malloc(size);
  if (!rv)
    fatal("Out of memory\n");
  return(rv);
}
/*
 * Deallocate memory.  Synonomous to FREE
 */
void DeallocateMemory(void *pos)
{
  free(pos);
}